
def validadVenta (venta):
    return venta < 0

def superaObjetivo (venta):
    return venta > 100000

promedio_ventas = lambda total_venta, contador : total_venta /contador

porcentaje_supera_objetivo = lambda superar_objetivo,contador : (superar_objetivo * 100) /contador 

contador=0
total_venta=0
superar_objetivo=0
for index in range (1,4):
    monto_venta = int (input("ingrese la venta"))
    while validadVenta(monto_venta):
        print('la venta no puede ser negativa')
        monto_venta = int (input('ingrese nuevamente la venta'))
    
    if superaObjetivo(monto_venta):
        superar_objetivo += 1

    total_venta += monto_venta
    contador += 1

promedio = promedio_ventas(total_venta , contador)
superaObjetivoPrint = porcentaje_supera_objetivo(superar_objetivo, contador)

print( f"el total vendido es: {total_venta}")
print( f"el promedio de ventas es: {promedio}")
print(f"cantidad de vendedores que superarn el objetivo es: {superar_objetivo}")
print(f"el porcentaje de ventas que superan los 100000 es: {superaObjetivoPrint}")


